.shadow-f1 {
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}

.rounded-8 {
    border-radius: 8px;
}

.rounded-top-8 {
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
}

// border

.border-left-gray {
    border-left: 1px solid rgba(145, 158, 171, 0.32);
}

.border-right-gray {
    border-right: 1px solid rgba(145, 158, 171, 0.32);
}

// heading-line title
.heading-line {
    font-weight: 700;
    font-size: 24px;
    line-height: 28px;
    position: relative;
    display: flex;
    align-items: center;

    &::before {
        content: '';
        display: inline-block;
        width: 45px;
        height: 1px;
        background-color: #2962FF;
        margin-right: 15px;
    }

    &::after {
        content: '';
        display: inline-block;
        width: 45px;
        height: 1px;
        background-color: #2962FF;
        margin-left: 15px;
    }
}

.heading-line-white {
    font-weight: 700;
    font-size: 24px;
    line-height: 28px;
    position: relative;
    display: flex;
    align-items: center;
    color: #fff;

    &::before {
        content: '';
        display: inline-block;
        width: 45px;
        height: 1px;
        background-color: #fff;
        margin-right: 15px;
    }

    &::after {
        content: '';
        display: inline-block;
        width: 45px;
        height: 1px;
        background-color: #fff;
        margin-left: 15px;
    }
}

// width 
.wi-200 {
    width: 200px;
}

img {
    max-width: 100%;
}

.category-tree-component {
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    border-radius: 8px;

    .category-title {
        background: #2962FF;
        border-radius: 8px 8px 0px 0px;
        color: white;
        height: 48px;
        padding: 0 10px;
        font-weight: 700;
        font-size: 18px;
        line-height: 28px;
        display: flex;
        align-items: center;
    }
}

article {
    .entry-content {
        p {
            margin-bottom: 16px !important;
        }
    }
}

.box-thumb {
    border-radius: 8px;
    overflow: hidden;

    &:hover {
        img {
            -webkit-transform: scale3d(1.1, 1.1, 1.1);
            transform: scale3d(1.1, 1.1, 1.1);
        }
    }
}

.box-news {
    border-left: 1px solid rgba(145, 158, 171, 0.32);
    border-bottom: 1px solid rgba(145, 158, 171, 0.32);

}

.h-back-top {
    right: 30px;
    bottom: 16px
}

.text-shadow {

    text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.8), 0px 0px 2px rgba(0, 0, 0, 1);

}

.h-back-top {
    svg {
        filter: drop-shadow(2px 2px 5px rgb(0 0 0 / 0.8));
    }
}

.document-cat {
    &__item {
        &.active {
            color: #2962FF;
            background: rgba(41, 98, 255, 0.1);
        }

        &:hover {
            color: #2962FF;
            background: rgba(41, 98, 255, 0.01);

        }
    }
}

.custom-img {
    object-fit: contain;
    width: 100% !important;
    position: relative !important;
    height: unset !important;
}

.unset-img {
    width: 100%;
}

.unset-img>div {
    position: unset !important;
}

//   bài viet binh luạn
.entry-comment {
    padding: 10px;

    &.odd {
        background: #F5F5F5;

        .entry-avatar {
            background-color: #D3CDCD;
        }
    }

    .entry-avatar {
        width: 60px;
        height: 60px;
        border-radius: 50%;
        text-transform: uppercase;
        font-size: 32px;
        font-weight: 700;
        display: flex;
        align-items: center;
        justify-content: center;
        background-color: #BBDBBD;
        color: white;
    }
}

.main-container {
    min-height: calc(100vh - 290px);
}

.bg-blue-op-1 {
    background: rgba(41, 98, 255, 0.5);
}

.bg-organge-op-1 {
    background: rgba(255, 150, 0, 0.5);
}

.object-position-top-center {
    object-position: top center;
}

.entry-thumb-h-25 {
    height: 25px;
    object-fit: cover;
}

.entry-img-h152 {
    width: 220px;
    height: 152px;
    object-fit: cover;
    border-radius: 8px;
}

.entry-thumb-100-250 {
    width: 100%;
    height: 250px;
    object-fit: cover;
    border-radius: 8px;
}

.entry-thumb-500-308 {
    width: 500px;
    height: 308px;
    object-fit: cover;
    border-radius: 8px;
}

.entry-thumb-308-234 {
    width: 234px;
    height: 308px;
    object-fit: cover;
    border-radius: 8px;
}

.entry-thumb-h74 {
    width: auto;
    height: 74px;
    object-fit: cover;
    border-radius: 8px;
}

.entry-thumb-h-400 {
    width: 100%;
    height: 400px;
    object-fit: cover;
    border-radius: 8px;
}

.entry-thum-145-145 {
    width: auto;
    height: 145px;
    object-fit: cover;
    border-radius: 8px;
}

.entry-thumb-83 {
    width: 72px;
    height: 83px;
    object-fit: cover;
    border-radius: 8px;
}

.entry-logo {
    height: 65px;
    object-fit: cover;
}

.entry-thumb-243-156 {
    width: 243px;
    height: 156px;
    object-fit: cover;
    border-radius: 8px;
}

.entry-thumb-135-135 {
    width: 135px;
    height: 135px;
    object-fit: cover;
    border-radius: 8px;
}

.entry-quote-5 {
    width: 100%;
    display: -webkit-box;
    -webkit-line-clamp: 5;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.entry-quote-6 {
    width: 100%;
    display: -webkit-box;
    -webkit-line-clamp: 6;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.entry-quote-3 {
    width: 100%;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.entry-quote-2 {
    width: 100%;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.about-info {
    width: 250px;
}

.document-table {
    thead th .MuiBox-root {
        display: none;
    }
}

.rss-content {
    font-size: 0;

    img {
        width: 243px;
        height: 156px;
        object-fit: cover;
        border-radius: 8px;
    }

    &.thumb-h400 {
        img {
            width: 100%;
            height: 400px;
            object-fit: cover;
            border-radius: 8px;
            object-position: center top;
        }
    }

    &.thumb-h250 {
        img {
            width: 100%;
            height: 250px;
            object-fit: cover;
            border-radius: 8px;
        }
    }
}

.post-block {
    border: 1px solid #dce0e0;
    border-radius: 8px !important;
    transition-duration: .2s;
    width: 100%;

    .entry-content {
        padding: 8px 16px;
    }

    .entry-author {
        padding: 0 16px;
    }

    &:hover {
        zoom: 1;
        filter: alpha(opacity=100);
        -webkit-opacity: 1;
        -moz-opacity: 1;
        -webkit-transform: translateY(-4px);
        transform: translateY(-4px);
        box-shadow: 0 22px 40px rgb(0 0 0 / 15%);
    }
}

.result-item {
    display: flex;
    background: #FFFFFF;
    margin-bottom: 8px;
    box-shadow: 0px 4px 8px rgb(176 190 197 / 24%);
    border-radius: 8px;
    padding: 16px;
    .thumb {
        margin-right: 12px;
        img {
            width: auto;
            height: 70px;
            object-fit: cover;
            border-radius: 8px;
        }
    }
}
.scroll-horirontal {
    overflow: auto;
    white-space: nowrap;
}